System 2.0.0.0 4.0.0.0 System.Object

This class encapsulates data for network interfaces, also known as adapters, on the local computer. You do not create instances of this class; the method returns an array that contains one instance of this class for each network interface on the local computer.

Provides configuration and statistical information for a network interface.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor can be called only by classes that derive from the class.

  Initializes a new instance of the class.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The description is human-readable text that typically describes the interface vendor, type (for example, Ethernet), brand, and model.

  Gets the description of the interface.

- Method
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetworkInterface[]

  The network interfaces on a computer provide network connectivity. Network interfaces are also known as network adapters.

  Returns objects that describe the network interfaces on the local computer.

  A array that contains objects that describe the available network interfaces, or an empty array if no interfaces are detected.

- Method
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IPInterfaceProperties

  Note that the information in the object returned by this method reflects the interfaces as of the time the array is created. This information is not updated dynamically.

  Returns an object that describes the configuration of this network interface.

  An object that describes this network interface.

- Method
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IPv4InterfaceStatistics To be added.

  Gets the IPv4 statistics for this instance.

  An object.

- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO("Always returns true")
  System.Boolean

  A network connection is considered to be available if any network interface is marked "up" and is not a loopback or tunnel interface.

  Indicates whether any network connection is available.

  true if a network connection is available; otherwise, false.

- Method
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.PhysicalAddress

  The object returned by this method contains an address that is appropriate to the media used to transport data at the data link layer. For example, on an Ethernet network, this method returns the Ethernet hardware address.

  Returns the Media Access Control (MAC) or physical address for this adapter.

  A object that contains the physical address.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the identifier of the network adapter.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the network interface is set to only receive data packets.

- Property
  2.0.0.0
  4.0.0.0
  System.MonoTODO("Only works on Linux. Returns 0 on other systems.")
  System.Int32 To be added.

  The index of the loopback interface is usually 1, but you cannot rely on this. Use the property to get the correct value.

  A network interface may have different interface indexes for the IPv4 and IPv6 loopback interface. The property only returns the IPv4 loopback interface.

  Gets the index of the IPv4 loopback interface.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the name of the network adapter.

- Property
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetworkInterfaceType To be added.

  The interface types are described in detail in the enumeration documentation.

  This property only returns a subset of the possible values defined in the enumeration. The possible values include the following:

  Gets the interface type.

- Property
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.OperationalStatus To be added.

  The operational status values are described in detail in the enumeration documentation.

  Gets the current operational state of the network connection.

- Property
  2.0.0.0
  4.0.0.0
  System.Int64 To be added.

  The value returned by this property is reported by the network interface. It is not computed dynamically.

  Gets the speed of the network interface.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Gets a value that indicates whether the interface supports the specified protocol.

  true if the specified protocol is supported; otherwise, false.

  A value.
- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Multicasting is the act of sending a data packet to multiple destinations simultaneously.

  Gets a value that indicates whether the network interface is enabled to receive multicast packets.